Page MenuHomePhabricator

Unexpected error localisation for HTTP timeout in log message
Closed, ResolvedPublic

Description

etwiki
message:

[W60SdwrAAFIAALwNXzMAAABP] /rpc/RunSingleJob.php   RuntimeException from line 109 of /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/ORESService.php: Failed to make ORES request to [http://ores.discovery.wmnet:8081/v3/scores/etwiki/?models=damaging%7Cgoodfaith&revids=###&precache=1&format=json], HTTP-päring aegus.


exception:
Failed to make ORES request to [http://ores.discovery.wmnet:8081/v3/scores/etwiki/?models=damaging%7Cgoodfaith&revids=###&precache=1&format=json], HTTP-päring aegus.
	#0 /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/ScoreFetcher.php(55): ORES\ORESService->request(array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/FetchScoreJob.php(89): ORES\ScoreFetcher->getScores(integer, array, boolean, array)
#2 /srv/mediawiki/php-1.32.0-wmf.23/extensions/EventBus/includes/JobExecutor.php(64): ORES\FetchScoreJob->run()
#3 /srv/mediawiki/rpc/RunSingleJob.php(67): JobExecutor->execute(array)
wikidatawiki
message:
[W60SswrAEGwAAFWB37UAAADN] /rpc/RunSingleJob.php   RuntimeException from line 109 of /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/ORESService.php: Failed to make ORES request to [http://ores.discovery.wmnet:8081/v3/scores/wikidatawiki/?models=damaging%7Cgoodfaith&revids=###&precache=1&format=json], HTTP request timed out.

exception:
Failed to make ORES request to [http://ores.discovery.wmnet:8081/v3/scores/wikidatawiki/?models=damaging%7Cgoodfaith&revids=###&precache=1&format=json], HTTP request timed out.
#0 /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/ScoreFetcher.php(55): ORES\ORESService->request(array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.23/extensions/ORES/includes/FetchScoreJob.php(89): ORES\ScoreFetcher->getScores(integer, array, boolean, array)
#2 /srv/mediawiki/php-1.32.0-wmf.23/extensions/EventBus/includes/JobExecutor.php(64): ORES\FetchScoreJob->run()
#3 /srv/mediawiki/rpc/RunSingleJob.php(67): JobExecutor->execute(array)

Not sure whether this is an issue in the HTTP library of MediaWiki core or an issue with how ORES uses it, but, the normalized message should not be localised in Logstash. This make grouping and detecting harder than it should be.

Event Timeline

Krinkle created this task.Sep 27 2018, 5:41 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptSep 27 2018, 5:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Anomie added a subscriber: Anomie.Sep 28 2018, 2:10 PM

includes/ORESService.php line 95 should probably use ->inLanguage( 'en' ) since it's constructing an exception message to pass to new RuntimeException().

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptSep 28 2018, 2:29 PM

Change 463483 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@master] Log error messages in English

https://gerrit.wikimedia.org/r/463483

Change 463483 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Log error messages in English

https://gerrit.wikimedia.org/r/463483

Change 463510 had a related patch set uploaded (by Krinkle; owner: Amir Sarabadani):
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.23] Log error messages in English

https://gerrit.wikimedia.org/r/463510

Change 463510 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.23] Log error messages in English

https://gerrit.wikimedia.org/r/463510

Krinkle closed this task as Resolved.Sep 29 2018, 1:12 AM
Krinkle triaged this task as Normal priority.
Krinkle removed a project: Patch-For-Review.

Mentioned in SAL (#wikimedia-operations) [2018-09-29T01:13:07Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.23/extensions/ORES/includes/ORESService.php: T205651 - I1beaeab732a31d (duration: 00m 59s)

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:08 PM